zenilib: zenilib/jni/external/openal-soft/Alc/alcDedicated.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Typedefs | Functions
alcDedicated.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "alMain.h"`
`#include "alFilter.h"`
`#include "alAuxEffectSlot.h"`
`#include "alError.h"`
`#include "alu.h"`

Go to the source code of this file.

## Typedefs

typedef struct ALdedicatedState | ALdedicatedState

## Functions

ALeffectState * | DedicatedCreate (void)
static ALvoid | DedicatedDestroy (ALeffectState *effect)
static ALboolean | DedicatedDeviceUpdate (ALeffectState *effect, ALCdevice *Device)
static ALvoid | DedicatedProcess (ALeffectState *effect, ALuint SamplesToDo, const ALfloat *RESTRICT SamplesIn, ALfloat(*RESTRICT SamplesOut)[BUFFERSIZE])
static ALvoid | DedicatedUpdate (ALeffectState *effect, ALCdevice *device, const ALeffectslot *Slot)

## Typedef Documentation

typedef struct ALdedicatedState ALdedicatedState

OpenAL cross platform audio library Copyright (C) 2011 by Chris Robinson. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

## Function Documentation

ALeffectState* DedicatedCreate | ( | void |  | ) |

Definition at line 82 of file alcDedicated.c.

References DedicatedDestroy(), DedicatedDeviceUpdate(), DedicatedProcess(), DedicatedUpdate(), malloc, MaxChannels, and NULL.

Referenced by InitializeEffect().

static ALvoid DedicatedDestroy | ( | ALeffectState * | effect | ) |

static

Definition at line 40 of file alcDedicated.c.

References free.

Referenced by DedicatedCreate().

static ALboolean DedicatedDeviceUpdate | ( | ALeffectState * | effect,
|  | ALCdevice * | Device
| ) |  |

static

Definition at line 46 of file alcDedicated.c.

References AL_TRUE.

Referenced by DedicatedCreate().

static ALvoid DedicatedProcess | ( | ALeffectState * | effect,
|  | ALuint | SamplesToDo,
|  | const ALfloat *RESTRICT | SamplesIn,
|  | ALfloat(*) | SamplesOut[BUFFERSIZE]
| ) |  |

static

Definition at line 69 of file alcDedicated.c.

References i, and MaxChannels.

Referenced by DedicatedCreate().

static ALvoid DedicatedUpdate | ( | ALeffectState * | effect,
|  | ALCdevice * | device,
|  | const ALeffectslot * | Slot
| ) |  |

static

Definition at line 53 of file alcDedicated.c.

References AL_EFFECT_DEDICATED_DIALOGUE, AL_EFFECT_DEDICATED_LOW_FREQUENCY_EFFECT, ComputeAngleGains(), ALeffect::Dedicated, ALeffectslot::effect, ALeffectslot::Gain, ALeffect::Gain, LFE, MaxChannels, and ALeffect::type.

Referenced by DedicatedCreate().